Table of Contents

## Name

AuMakeElementSum - initialize an Sum element

## Synopsis

#include <audio/audiolib.h>

AuMakeElementSum(element, num_inputs, inputs)
AuElement *element; /* RETURN */
unsigned short num_inputs;
unsigned short *inputs;

## Arguments

element
  Returns the initialized element.
num_inputs
  Specifies the number of inputs.
inputs
  Specifies the list of inputs. Each entry in the list is an index of an element that will supply audio data to this element.

## Description

AuMakeElementSum sets the type member of element to AuElementTypeSum and initializes the sum member of element with the remaining arguments.

AuMakeElementSum is implemented as a macro.

## See Also

AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportBucket, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementExportMonitor, AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also